> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prime API User Keys

> Retrieves all API keys for a specific Prime API user. The API secret is not included in the response.




## OpenAPI

````yaml /openapi/prime-rest.yaml post /0/private/ListPrimeApiUserKeys
openapi: 3.0.0
info:
  title: Prime REST API
  version: 1.0.0
  description: >
    Kraken Prime REST API — institutional-grade settlement and API-user
    management. Companion REST surface to the Prime FIX and Prime WebSocket
    APIs.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Settlement
  - name: API Users
  - name: API User Keys
paths:
  /0/private/ListPrimeApiUserKeys:
    post:
      tags:
        - API User Keys
      summary: List Prime API User Keys
      description: >
        Retrieves all API keys for a specific Prime API user. The API secret is
        not included in the response.
      operationId: listPrimeApiUserKeys
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPrimeApiUserKeys'
      responses:
        '200':
          description: API user keys listed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPrimeApiUserKeys1'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ListPrimeApiUserKeys:
      title: List Prime API User Keys Request Body
      type: object
      properties:
        nonce:
          $ref: '#/components/schemas/Nonce'
        user_id:
          type: string
          description: The unique identifier of the API user whose keys to list.
          example: 2T0RXL9B8K5D6
      additionalProperties: false
      required:
        - nonce
        - user_id
    ListPrimeApiUserKeys1:
      description: Response containing a list of API keys for a Prime API user.
      type: object
      properties:
        result:
          type: object
          properties:
            data:
              type: array
              description: List of API keys.
              items:
                $ref: '#/components/schemas/ApiUserKeyInfo'
          required:
            - data
          additionalProperties: false
        error:
          $ref: '#/components/schemas/Error'
      required:
        - result
        - error
      additionalProperties: false
    Nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    ApiUserKeyInfo:
      description: Prime API user key information.
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the API key.
          example: 3RM9K4ZTC0C00
        key:
          type: string
          description: The API key value.
          example: KRA5L19LAW8Z
        updated_at:
          type: integer
          format: int64
          nullable: true
          description: Unix timestamp in milliseconds when the key was last updated.
        permissions:
          type: array
          description: Permissions associated with this key.
          items:
            type: string
          example:
            - read::marketdata
        whitelisted_ips:
          type: array
          description: IP addresses whitelisted for this key.
          items:
            type: string
          example: []
        user_id:
          type: string
          description: Unique identifier for the API user who owns this key.
          example: 2T0RXL9B8K5D6
      required:
        - id
        - key
        - user_id
    Error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  responses:
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: array
                items:
                  type: string
            required:
              - error
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````